<?php
namespace Pinpoint\CarouselManager\Ui\Component\Listing\Column\Pinpointcarouselmanagerlisting;

/**
 * Class PageActions
 * @package Pinpoint\CarouselManager\Ui\Component\Listing\Column\Pinpointcarouselmanagerlisting
 */
class PageActions extends \Magento\Ui\Component\Listing\Columns\Column
{
    /**
     * @param array $dataSource
     * @return array
     */
    public function prepareDataSource(array $dataSource)
    {
        if (isset($dataSource["data"]["items"])) {
            foreach ($dataSource["data"]["items"] as & $item) {
                $name = $this->getData("name");
                $id = "X";
                if(isset($item["id"]))
                {
                    $id = $item["id"];
                }
                $item[$name]["view"] = [
                    "href"=>$this->getContext()->getUrl(
                        "pinpoint_carousel/carousel/edit",["carousel_id"=>$id]),
                    "label"=>__("Edit")
                ];
            }
        }

        return $dataSource;
    }    
    
}
